"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
const core_1 = require('@angular/core');
let XEditableText = class XEditableText {
    constructor() {
    }
    setEditable(isEditable) {
        this.isEditable = isEditable;
    }
    ngOnInit() {
        this.isEditable = false;
    }
};
__decorate([
    core_1.Input(), 
    __metadata('design:type', Object)
], XEditableText.prototype, "node", void 0);
XEditableText = __decorate([
    core_1.Component({ selector: 'editable-text', template: `
  <span *ngIf='isEditable'> <input type='text' (blur)="setEditable(false)" [(ngModel)]='node.text'> </span>
  <span *ngIf='!isEditable' (click)='setEditable(true)'> {{node.text}} </span>
  `
    }), 
    __metadata('design:paramtypes', [])
], XEditableText);
exports.XEditableText = XEditableText;
