"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
const core_1 = require('@angular/core');
const tree_manager_1 = require('../services/tree-manager');
let NodeSearch = class NodeSearch {
    constructor(treeManager) {
        this.treeManager = treeManager;
    }
    isBlank(obj) {
        return obj === undefined || obj === null;
    }
    transform(value) {
        var filteredText = this.treeManager.getFilteredText();
        if (this.isBlank(filteredText)) {
            return value;
        }
        else {
            return value.filter((node) => node.text.indexOf(filteredText) > -1);
        }
    }
};
NodeSearch = __decorate([
    core_1.Pipe({ name: 'nodeSearch', pure: false }), 
    __metadata('design:paramtypes', [tree_manager_1.TreeManager])
], NodeSearch);
exports.NodeSearch = NodeSearch;
